Get Image Source
Get all details about image source.
Path Parameters
- Type: stringimage
_source _id requiredImage source id. You can get it on Gumlet dashboard or using list sources API endpoint.
Responses
- application/json
Request Example for get/image/sources/{image_source_id}
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const imageSource = await client.imageSources.retrieve('imageSourceId');
console.log(imageSource);
{
"id": "string",
"namespace": "string",
"type": "dostorage",
"cdn_type": "string",
"cdn_cache_time": 1,
"canonical_url": true,
"browser_cache_time": 1,
"is_cloudfront": true,
"created_at": "string",
"updated_at": "string",
"webfolder": {
"base_url": "string"
},
"aws": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string",
"base_path": "string",
"endpoint": "string"
},
"proxy": {
"whitelisted_domains": "string"
},
"gcs": {
"bucket_name": "string",
"service_account_key": "string"
},
"dostorage": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string",
"base_path": "string"
},
"wasabi": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string",
"base_path": "string"
},
"linode": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string"
},
"backblaze": {
"bucket_name": "string",
"bucket_region": "string",
"endpoint": "string",
"access_key": "string",
"secret": "string",
"base_path": "string"
},
"cloudflare": {
"bucket_name": "string",
"access_key": "string",
"account_id": "string",
"secret": "string",
"base_path": "string"
},
"cloudinary": {
"host_name": "string",
"cloud_name": "string"
},
"azure": {
"azure_account_name": "string",
"azure_container_name": "string",
"azure_shared_token": "string",
"azure_path": "string"
},
"default_params": {},
"request_headers": [
{}
],
"subdomain": "string",
"is_active": true,
"secure_urls": true,
"secure_token": "string",
"imgix": {},
"hetzner": {},
"fallback_origins": [
{
"name": "string",
"type": "dostorage",
"conditions": [
"string"
],
"replace_operation": {
"from": "string",
"to": "string"
},
"webfolder": {
"base_url": "string"
},
"aws": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string",
"base_path": "string",
"endpoint": "string"
},
"proxy": {
"whitelisted_domains": "string"
},
"gcs": {
"bucket_name": "string",
"service_account_key": "string"
},
"dostorage": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string",
"base_path": "string"
},
"wasabi": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string",
"base_path": "string"
},
"linode": {
"bucket_name": "string",
"bucket_region": "string",
"access_key": "string",
"secret": "string"
},
"backblaze": {
"bucket_name": "string",
"bucket_region": "string",
"endpoint": "string",
"access_key": "string",
"secret": "string",
"base_path": "string"
},
"cloudflare": {
"bucket_name": "string",
"access_key": "string",
"account_id": "string",
"secret": "string",
"base_path": "string"
},
"cloudinary": {
"host_name": "string",
"cloud_name": "string"
},
"azure": {
"azure_account_name": "string",
"azure_container_name": "string",
"azure_shared_token": "string",
"azure_path": "string"
},
"_id": "string",
"hetzner": {},
"imgix": {}
}
],
"wordpress": {
"website_url": "string"
},
"response_headers": [
{}
]
}
